#!/usr/bin/env python
# coding: utf-8
from gitlab_api.version import __version__, __author__, __credits__
from gitlab_api.gitlab_api import Api
from gitlab_api.gitlab_models import (
    BranchModel,
    CommitModel,
    DeployTokenModel,
    GroupModel,
    JobModel,
    MembersModel,
    PackageModel,
    PipelineModel,
    ProjectModel,
    ProtectedBranchModel,
    MergeRequestModel,
    MergeRequestRuleModel,
    ReleaseModel,
    RunnerModel,
    UserModel,
    WikiModel,
    Agents,
    Agent,
    Branches,
    Branch,
    Pipelines,
    Pipeline,
    Contributors,
    Contributor,
    Commits,
    Commit,
    PipelineVariable,
    PipelineVariables,
    CommitSignature,
    Diffs,
    Diff,
    Comments,
    Comment,
    Users,
    User,
    Memberships,
    Membership,
    Releases,
    Release,
    Issues,
    Issue,
    ToDo,
    TestReport,
    MergeRequests,
    MergeRequest,
    MergeApprovals,
    ApprovalRules,
    ApprovalRule,
    Runners,
    Runner,
    Jobs,
    Job,
    Packages,
    Package,
    DeployTokens,
    DeployToken,
    AccessLevel,
    AccessControl,
    Rule,
    Groups,
    Group,
    Projects,
    Project,
    TimeStats,
    Token,
    WikiPage,
    WikiPages,
    WikiAttachment,
    Webhook,
)

"""
GitLab API

A Python Wrapper for GitLab API
"""

__version__ = __version__
__author__ = __author__
__credits__ = __credits__

__all__ = [
    "Api",
    "BranchModel",
    "CommitModel",
    "DeployTokenModel",
    "GroupModel",
    "JobModel",
    "MembersModel",
    "PackageModel",
    "PipelineModel",
    "ProjectModel",
    "ProtectedBranchModel",
    "MergeRequestModel",
    "ReleaseModel",
    "RunnerModel",
    "UserModel",
    "WikiModel",
    "Agents",
    "Agent",
    "Branches",
    "Branch",
    "Pipelines",
    "Pipeline",
    "Contributors",
    "Contributor",
    "Commits",
    "Commit",
    "PipelineVariable",
    "PipelineVariables",
    "CommitSignature",
    "Diffs",
    "Diff",
    "Comments",
    "Comment",
    "Users",
    "User",
    "Memberships",
    "Membership",
    "Releases",
    "Release",
    "Issues",
    "Issue",
    "ToDo",
    "TestReport",
    "MergeRequests",
    "MergeRequest",
    "MergeApprovals",
    "ApprovalRules",
    "ApprovalRule",
    "Runners",
    "Runner",
    "Jobs",
    "Job",
    "Packages",
    "Package",
    "DeployTokens",
    "DeployToken",
    "AccessLevel",
    "AccessControl",
    "Rule",
    "Groups",
    "Group",
    "Projects",
    "Project",
    "TimeStats",
    "Token",
    "WikiPage",
    "WikiPages",
    "WikiAttachment",
    "Webhook",
]
